Package org.eclipse.jface.text.hyperlink

## Class AbstractHyperlinkDetector

- java.lang.Object
- - org.eclipse.jface.text.hyperlink.AbstractHyperlinkDetector

All Implemented Interfaces:
  `IHyperlinkDetector`, `IHyperlinkDetectorExtension`

Direct Known Subclasses:
  `URLHyperlinkDetector`

    public abstract class AbstractHyperlinkDetector
    extends Object
    implements IHyperlinkDetector, IHyperlinkDetectorExtension

A hyperlink detector that can provide adapters through a context that can be set by the creator of this hyperlink detector.

Clients may subclass.

Since:
  3.3

### Constructor Summary

Constructors
`AbstractHyperlinkDetector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Disposes this hyperlink detector.
`protected <T> T` `getAdapter​(Class<T> adapterClass)` Returns an object which is an instance of the given class and provides additional context for this hyperlink detector.
`void` `setContext​(IAdaptable context)` Sets this hyperlink detector's context which is responsible to provide the adapters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.text.hyperlink.IHyperlinkDetector

`detectHyperlinks`

### Constructor Detail

#### AbstractHyperlinkDetector

    public AbstractHyperlinkDetector()

### Method Detail

#### setContext

    public final void setContext​(IAdaptable context)
                          throws IllegalStateException,
                                 IllegalArgumentException

Sets this hyperlink detector's context which is responsible to provide the adapters.

Parameters:
  `context` - the context for this hyperlink detector
Throws:
  `IllegalArgumentException` - if the context is `null`
  `IllegalStateException` - if this method is called more than once

#### dispose

    public void dispose()

Description copied from interface: `IHyperlinkDetectorExtension`
Disposes this hyperlink detector.

Specified by:
  `dispose` in interface `IHyperlinkDetectorExtension`

#### getAdapter

    protected final <T> T getAdapter​(Class<T> adapterClass)

Returns an object which is an instance of the given class and provides additional context for this hyperlink detector.

Parameters:
  `adapterClass` - the adapter class to look up
Returns:
  an instance that can be cast to the given class, or `null` if this object does not have an adapter for the given class